{ mkDerivation, fetchFromGitea, lib, standard-library }:
let
  src = fetchFromGitea {
    domain = "git.rhiannon.website";
    owner  = "rhi";
    repo   = "agda-prelude";
    rev    = "d4ad218f8355fdb07c6e544ae3b6bb98165e0a18";
    hash   = "sha256-rm9IqbEIgiJp/bAEec0brxTMcdrvz0SkvT2TuZ0ubcw=";
  };
in
mkDerivation {
  pname = "agda-prelude-niss";
  version = "0";

  libraryName = "prelude";
  inherit src;
  buildInputs = [ standard-library ];
  buildPhase = ''
    agda -i. Prelude.agda
  '';

  meta.description = "not _that_ agda prelude";
  meta.license     = lib.licenses.wtfpl;
}
